summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2020-04-05 23:31:20 +0200
committerCarl Hetherington <cth@carlh.net>2020-04-05 23:31:20 +0200
commitbdc00fbe25346d93d70772c2ef2c64dd805a5e3e (patch)
treeea3023d8d37b7d6b6b119df765ba08de71c37049
parent9ba95c600b54c762712a0bd85658b7849820c08c (diff)
make_dmg script debugging.
-rw-r--r--platform/osx/make_dmg.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/platform/osx/make_dmg.sh b/platform/osx/make_dmg.sh
index 38dc9193f..d1b2d0f11 100644
--- a/platform/osx/make_dmg.sh
+++ b/platform/osx/make_dmg.sh
@@ -272,6 +272,14 @@ function make_dmg {
exit 1
fi
+ if [ "$pkg" != "" ]; then
+ codesign --deep --force --verify --verbose --options runtime --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$pkg"
+ if [ "$?" != "0" ]; then
+ echo "Failed to sign .pkg"
+ exit 1
+ fi
+ fi
+
mkdir -p $vol_name
cp -a "$appdir" $vol_name
if [ "$pkg" != "" ]; then
@@ -530,4 +538,4 @@ chmod gou+x $pkgbase/scripts/postinstall
pkgbuild --root $pkgroot --identifier com.dcpomatic.disk.writer --scripts $pkgbase/scripts "DCP-o-matic Disk Writer.pkg"
-make_dmg "$appdir" "DCP-o-matic Disk Writer.pkg" "DCP-o-matic Disk Writer" com.dcpomatic.disk
+mAke_dmg "$appdir" "DCP-o-matic Disk Writer.pkg" "DCP-o-matic Disk Writer" com.dcpomatic.disk